## MacPorts-1.8.0-beta1.tar.bz2

=== src/cregistry/Makefile ===
# $Id: Makefile 54795 2009-08-02 05:19:57Z toby@macports.org $

OBJS = registry.o entry.o sql.o
STLIB_NAME = cregistry.a
RANLIB = ranlib


include ../../Mk/macports.autoconf.mk


all:: ${STLIB_NAME}

.c.o:
	${CC} -c -DUSE_TCL_STUBS ${CFLAGS} ${CPPFLAGS} ${SHLIB_CFLAGS} $< -o $@

${STLIB_NAME}:: ${OBJS}
	${STLIB_LD} ${STLIB_NAME} ${OBJS}
	${RANLIB} ${STLIB_NAME}

clean::
	rm -f ${STLIB_NAME} ${OBJS}

distclean:: clean

test:

install:: all
