=== tests/test/xcodeversion/Portfile ===
# $Id: Portfile 23699 2007-04-07 02:09:22Z pguyot@kallisys.net $

PortSystem 1.0
name		xcodeversion
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for \$xcodeversion
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

fetch		{}
checksum	{}
extract		{}
configure	{}
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test {
	ui_msg "xcodeversion = $xcodeversion"
	ui_msg "xcodebuildcmd = $xcodebuildcmd"
}
